`POST /api/v1/auth/challenge` — issue a nonce for the operator to sign.
POST
/api/v1/auth/challenge
const url = 'https://example.com/api/v1/auth/challenge';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"public_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/challenge \ --header 'Content-Type: application/json' \ --data '{ "public_key": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
Request body for POST /api/v1/auth/challenge.
object
public_key
required
Hex-encoded Ed25519 public key of the operator.
string
Example generated
{ "public_key": "example"}Responses
Section titled “ Responses ”Challenge nonce issued
Media type application/json
Response body for POST /api/v1/auth/challenge.
object
nonce
required
Hex-encoded 32-byte nonce to be signed by the operator.
string
Example generated
{ "nonce": "example"}Invalid public key
Unknown or inactive operator